flarum-flags:

  ##
  # UNIQUE KEYS - The following keys are used in only one location each.
  ##

  # Translations in this namespace are used by the admin interface.
  admin:

    # These translations are used in the Permissions page of the admin interface.
    permissions:
      flag_posts_label: Flag posts
      view_flags_label: View flagged posts

    # These translations are used in the Flags Settings modal dialog.
    settings:
      flag_own_posts_label: Allow users to flag their own posts
      guidelines_url_label: Community Guidelines URL
      title: Flags Settings

  # Translations in this namespace are used by the forum user interface.
  forum:

    # These translations are used by the Flag Post modal dialog.
    flag_post:
      confirmation_message: Thank you for flagging this post. Our moderators will look into it.
      dismiss_button: => core.ref.okay
      reason_details_placeholder: Additional details (optional)
      reason_inappropriate_label: Inappropriate
      reason_inappropriate_text: "This post is offensive, abusive, or violates our <a>community guidelines</a>."
      reason_missing_message: Please provide some details for our moderators.
      reason_off_topic_label: "Off-topic"
      reason_off_topic_text: This post is not relevant to the current discussion and should be moved elsewhere.
      reason_other_label: Other (please specify)
      reason_spam_label: Spam
      reason_spam_text: This post is an advertisement.
      submit_button: => flarum-flags.ref.flag_post
      title: => flarum-flags.ref.flag_post

    # These translations are used by the Flagged Posts dropdown, a.k.a. "the flag".
    flagged_posts:
      empty_text: No Flags
      item_text: "{username} in <em>{discussion}</em>"
      title: => flarum-flags.ref.flagged_posts
      tooltip: => flarum-flags.ref.flagged_posts

    # These translations are used by the frame displayed around flagged posts.
    post:
      dismiss_flag_button: Dismiss Flag
      flagged_by_text: "Flagged by {username}"
      flagged_by_with_reason_text: "Flagged by {username} as {reason}"

    # These translations are used by the post control buttons.
    post_controls:
      flag_button: Flag

  ##
  # REUSED TRANSLATIONS - These keys should not be used directly in code!
  ##

  # Translations in this namespace are referenced by two or more unique keys.
  ref:
    flag_post: Flag Post
    flagged_posts: Flagged Posts
